Bug 149972 - display -geometry doesn't work
display -geometry doesn't work
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-02-28 21:16 EST by Jonathan Kamens
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-25 01:40:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2005-02-28 21:16:35 EST
I have ImageMagick-

"display -geometry {width}x{height}+0+0 image.jpg" should display an
image, scaled to the specified width and height (aspect ratio
preserved), rooted at the top left corner of the screen.  It used to
do this.  The scaling part no longer works -- the specified with and
height are ignored and the image is displayed at full size.
Comment 1 Mogens Kjaer 2005-03-17 03:28:05 EST

display -resize {width}x{height}+0+0 image.jpg

Comment 2 Jonathan Kamens 2005-03-17 09:45:03 EST
Yes, that's a workaround, but (a) that doesn't provide the same functionality 
as what -geometry is supposed to do, since -geometry is supposed to allow you 
to tell display to resize the image only if it needs to be resized to fit 
within the specified geometry, and -resize doesn't do that, and (b) -resize 
isn't even mentioned on the man page for display.  So there appears to be both 
a documentation problem and a functionality problem.
Comment 3 Mogens Kjaer 2005-03-17 10:58:28 EST
man ImageMagick will tell you about the -resize options.

display -resize '640x480>' image.jpg

will scale the picture down to 640x480 if it is
larger than 640x480

Note You need to log in before you can comment on or make changes to this bug.